Subject: Re: best git practices, was Re: Git User's Survey 2007 unfinishedsummary continued

From: "J. Bruce Fields" <[email-masked]>
Date: Thu, 25 Oct 2007 14:18:17 -0400

On Thu, Oct 25, 2007 at 08:04:51PM +0200, Mike Hommey wrote:
> On Thu, Oct 25, 2007 at 01:02:19PM -0500, Federico Mena Quintero wrote:
> > On Thu, 2007-10-25 at 11:21 -0400, Theodore Tso wrote:
> > 
> > > And of course it's inelegant.  You just told us we were dealing with
> > > CVS-brain-damaged corporate developers who can't be bothered to learn
> > > about the fine points of using things the git way.
> > 
> > Ignore the corporate developers who use SCMs only because their company
> > requires them to.  Git is not the right thing for them; some
> > Eclipse-based monstrosity probably is.  It's like the horrendous
> > Oracle-based expense-reporting thing we have to use at Novell; I use it
> > because they make me, not because I'm particularly excited about
> > reporting expenses :)
> > 
> > However, *do think* of the free software developers who have been using
> > CVS forever.  You won't make friends among them if you keep saying, "you
> > use CVS?  You are brain-damaged, then."  CVS has been as good/bad to
> > them as to anyone else, and they are probably delighted to get a better
> > solution.  That solution needs to take into account the concepts to
> > which they have been exposed for the past N years.  Just because your
> > new concepts are better, doesn't mean that their old ones were wrong in
> > their time.
> 
> It's probably just a matter of writing a "git for CVS users" document.

First google hit for "git for CVS users":

	http://www.kernel.org/pub/software/scm/git/docs/cvs-migration.html

patches welcomed....

--b.